from fred_api.identity import common_types_pb2 as _common_types_pb2
from google.protobuf.internal import containers as _containers
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Iterable as _Iterable, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class GetContactsByIdentityRequest(_message.Message):
    __slots__ = ("identity",)
    IDENTITY_FIELD_NUMBER: _ClassVar[int]
    identity: _common_types_pb2.Identity
    def __init__(self, identity: _Optional[_Union[_common_types_pb2.Identity, _Mapping]] = ...) -> None: ...

class GetContactsByIdentityReply(_message.Message):
    __slots__ = ("data",)
    class Data(_message.Message):
        __slots__ = ("contact_ids",)
        CONTACT_IDS_FIELD_NUMBER: _ClassVar[int]
        contact_ids: _containers.RepeatedCompositeFieldContainer[_common_types_pb2.ContactId]
        def __init__(self, contact_ids: _Optional[_Iterable[_Union[_common_types_pb2.ContactId, _Mapping]]] = ...) -> None: ...
    DATA_FIELD_NUMBER: _ClassVar[int]
    data: GetContactsByIdentityReply.Data
    def __init__(self, data: _Optional[_Union[GetContactsByIdentityReply.Data, _Mapping]] = ...) -> None: ...
